# Class MemorySegmentRequest.Default

java.lang.Object
org.apache.datasketches.common.MemorySegmentRequest.Default

All Implemented Interfaces:
  `MemorySegmentRequest`

Enclosing interface:
  `MemorySegmentRequest`

public static class MemorySegmentRequest.Default extends Object implements MemorySegmentRequest
A convenience class that implements a default implementation.

Author:
  Lee Rhodes

## Nested Class Summary

### Nested classes/interfaces inherited from interface MemorySegmentRequest

`MemorySegmentRequest.Default`

## Field Summary

### Fields inherited from interface MemorySegmentRequest

`DEFAULT`

## Constructor Summary

Constructors
Constructor
Description
`Default()`
No argument constructor that creates the target for the static member DEFAULT.

## Method Summary

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface MemorySegmentRequest

`request, requestClose`

## Constructor Details

### Default

public Default()
No argument constructor that creates the target for the static member DEFAULT.